Table Of Contents

Installing Software on the Host Computer

    Last Modified: March 2, 2018

    Use this topic to determine which software you need to install for the program modes you wish to use, and which software and driver versions are compatible with your system.

    Software Compatibility Resources

    Use the following resource page to confirm that you are installing the correct versions of your software: Software Support for CompactRIO, CompactDAQ, Single-Board RIO, R Series, and EtherCAT

    Use the following resource page for tips on resolving software compatibility issues with CompactRIO systems: Preventing Software Compatibility Issues for CompactRIO Systems

    Install Software

    Before using the cRIO-904x, you must install the following application software and device drivers on the host computer in the order shown.

    Refer to the Choosing Your Programming Mode topic to determine the programming modes you wish to use.

    Sequence Software
    1 LabVIEW 2017 SP1 or later
    2 LabVIEW Real-Time Module 2017 or later
    3 LabVIEW FPGA Module 2017 or later[1]
    4 NI CompactRIO Device Drivers 17.6 or later[2]
    • 1 LabVIEW FPGA Module is not required when using Real-Time (NI-DAQmx) or Real-Time Scan (IO Variables) program modes. To program the user-accessible FPGA on the cRIO-904x or deploy C Series modules in the LabVIEW FPGA program mode, LabVIEW FPGA Module is required.
    • 2 NI CompactRIO Device Drivers 17.6 and later include NI-DAQmx driver software. To deploy C Series modules installed in the cRIO-904x in Real-Time (NI-DAQmx) mode, ensure that NI-DAQmx is selected during installation.

    Recently Viewed Topics